Subject: Re: [PATCH] powerpc: Fix /dev/oldmem for kdump

From: Michael Ellerman <[email-masked]>
Date: Thu, 03 Jul 2008 16:36:04 +1000

On Thu, 2008-07-03 at 12:02 +0530, Sachin P. Sant wrote:
> Michael Ellerman wrote:
> > Even though I wrote this, it was so long ago I can't really vouch for
> > it. If you've tested it and it works Sachin then we should merge it. Is
> > this fix in distros or does it not apply?
> >   
> Yes, i have tested this on couple of power boxes and the patch
> works fine. [ i can copy dump using both /proc/vmcore and /dev/oldmem
> interface ]

OK great, thanks for that.

> No this fix is not part of distro ATM. But yes it applies to distros
> also. Once it is merged upstream, distros will eventually pick this up.

Crud, OK well I guess we should hurry up and merge it then :D

Paul, this has been broken for quite a while, but it would still be nice
if the fix was in 26 - sorry!

Acked-by: Michael Ellerman <[email-masked]>

cheers

-- 
Michael Ellerman
OzLabs, IBM Australia Development Lab

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person